## golang-github-openshift-api 4.0+git20190508.81d064c

=== Makefile ===
all: build
.PHONY: all

RUNTIME ?= podman
RUNTIME_IMAGE_NAME ?= openshift-api-generator

build:
	go build github.com/openshift/api/...
.PHONY: build

test:
	go test github.com/openshift/api/...
.PHONY: test

verify:
	hack/verify-deepcopy.sh
	hack/verify-protobuf.sh
	hack/verify-swagger-docs.sh
.PHONY: verify

update-deps:
	hack/update-deps.sh
.PHONY: update-deps

generate-with-container: Dockerfile.build
	$(RUNTIME) build -t $(RUNTIME_IMAGE_NAME) -f Dockerfile.build .
	$(RUNTIME) run -ti --rm -v $(PWD):/go/src/github.com/openshift/api:z -w /go/src/github.com/openshift/api $(RUNTIME_IMAGE_NAME) make generate

generate:
	hack/update-deepcopy.sh
	hack/update-protobuf.sh
	hack/update-swagger-docs.sh
.PHONY: generate

## golang-github-openshift-api 4.0%2Bgit20190508.81d064c

=== debian/control ===
Source: golang-github-openshift-api
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep: golang-any
    ,golang-github-emicklei-go-restful-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-spf13-pflag-dev
    ,golang-glog-dev
    ,golang-gogoprotobuf-dev
    ,golang-golang-x-net-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-yaml.v2-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openshift-api
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openshift-api.git
Homepage: https://github.com/openshift/api
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/openshift/api

Package: golang-github-openshift-api-dev
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-emicklei-go-restful-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-spf13-pflag-dev
    ,golang-glog-dev
    ,golang-gogoprotobuf-dev
    ,golang-golang-x-net-dev
    ,golang-gopkg-inf.v0-dev
Description: OpenShift API definitions
 API type definitions and serialization code used by "openshift/client-go".

## golang-github-openshift-api 4.0+git20190508.81d064c

=== debian/changelog ===
golang-github-openshift-api (4.0+git20190508.81d064c-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS by adding build depends on golang-gopkg-yaml.v2-dev
    Thanks to Lucas Nussbaum for reporting (Closes: #963346).

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 06 Jul 2020 06:30:46 -0400

golang-github-openshift-api (4.0+git20190508.81d064c-3) unstable; urgency=medium

  * Removed unused "golang-github-go-openapi-spec-dev" from (Build-)Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jan 2020 14:05:14 +1100

golang-github-openshift-api (4.0+git20190508.81d064c-2) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 09:55:18 +1100

golang-github-openshift-api (4.0+git20190508.81d064c-1) unstable; urgency=medium

  * Initial release (Closes: #946799).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Dec 2019 11:20:19 +1100

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_EXCLUDES := pkg/testing

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y%m%d,pretty=4.0+git%cd.%h,\
repack,compression=xz,\
" https://github.com/openshift/api.git \
  heads/release-4.0
